Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I've installed gimp 2.8 on ubuntu 12.04 forgetting to remove gimp registry plug-in and now I can not open gimp, remove it, repair it and the ubuntu software centre doesn't work anymore saying me I've to repair the dameged packages, but when I try to do it it doesn't work!!! How can I solve my problem? thanks!!!

share|improve this question
add comment

2 Answers 2

up vote 4 down vote accepted

Firstly remove the Gimp 2.8 repository by running these commands:

sudo apt-get install ppa-purge
sudo ppa-purge ppa:otto-kesselgulasch/gimp

and then run:

sudo apt-get update

Now remove the plugin-registry as it is not supported on 2.8:

sudo apt-get remove gimp-plugin-registry

Once that's done you can install Gimp 2.8:

sudo add-apt-repository ppa:otto-kesselgulasch/gimp
sudo apt-get update
sudo apt-get install gimp
share|improve this answer
add comment

also, after upgrading to 12.04, make sure to go back into synaptic and check the boxes on the first tab of the repositories window. They seem to revert back to being unchecked when I upgraded over the internet. Once rechecked, the install goes smoothly.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.